﻿using System.ComponentModel;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.comboBoxEdit.Properties.Items.Add("사과");
            this.comboBoxEdit.Properties.Items.Add("딸기");
            this.comboBoxEdit.Properties.Items.Add("포도");
            this.comboBoxEdit.Properties.Items.Add("수박");

            this.comboBoxEdit.QueryPopUp += comboBoxEdit_QueryPopUp;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 콤보 박스 에디터 팝업 질의하기 - comboBoxEdit_QueryPopUp(sender, e)

        /// <summary>
        /// 콤보 박스 에디터 팝업 질의하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void comboBoxEdit_QueryPopUp(object sender, CancelEventArgs e)
        {
            ComboBoxEdit comboBoxEdit = sender as ComboBoxEdit;

            e.Cancel = comboBoxEdit.Properties.Items.IndexOf(comboBoxEdit.Text) == -1;
        }

        #endregion
    }
}